Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.remoting
Class InvokeRemoteInterceptor

    java.lang.Object
      org.jboss.aspects.remoting.InvokeRemoteInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor, Serializable

public class InvokeRemoteInterceptor
extends Object
implements org.jboss.aop.advice.Interceptor, Serializable

Checks to see if this object is local in VM

Version:
  $Revision: 1.3.2.6 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`static String` | `INVOKER_LOCATOR`
`static String` | `REMOTING`
`static InvokeRemoteInterceptor` | `singleton`
`static String` | `SUBSYSTEM`

Constructor Summary
`InvokeRemoteInterceptor()`

Method Summary
`String` | `getName()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    public static final InvokeRemoteInterceptor singleton

### REMOTING

    public static final String REMOTING

See Also:
  Constant Field Values

### INVOKER_LOCATOR

    public static final String INVOKER_LOCATOR

See Also:
  Constant Field Values

### SUBSYSTEM

    public static final String SUBSYSTEM

See Also:
  Constant Field Values

Constructor Detail

### InvokeRemoteInterceptor

    public InvokeRemoteInterceptor()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.